<div class="site-request-ra">
    <form [formGroup]="requestReviewRaFormGroup">   
      <app-content-banner [isDashboard]="false" pageName="Referring Agency Site Request"></app-content-banner>
      <mat-card class="sp-main-card mat-elevation-z0">
           <mat-card-header fxLayout="column" fxLayoutGap="5px">
              <div fxLayout="row" class="second-header-filter">
                  <span><b>Agency Name: </b> {{raSiteRequestModel ? raSiteRequestModel.agencyName : ''}}</span>
                  <span ><b>Agency Address: </b> {{agencyFullAddress}}</span>
                  <span><b>Site Name: </b> {{raSiteRequestModel ? raSiteRequestModel.siteName : ''}}</span>
                  <span><b>Site Address: </b> {{getSitesAddress}}</span>
              </div>
          </mat-card-header> 
        <mat-card-content class="regular-mat-form-field">
          <mat-tab-group dynamicHeight  [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="tabChanged($event)" >
            <mat-tab>
                <ng-template matTabLabel>
                    <span>Site Information</span>
                </ng-template>
                <ng-template matTabContent>
                  <app-site-info-review [siteTypes]="housingProgramData" [agencyRequestID]="agencyRequestID" [siteRequestID]="siteRequestID" [agencySiteData]="raSiteRequestModel" ></app-site-info-review>
                </ng-template>
            </mat-tab>

          </mat-tab-group>
  
          <div fxLayout="row" style="margin: 5px; margin-top: 20px;" fxLayoutGap="10px">
            <div fxLayoutAlign="start" fxLayoutGap="10px" fxFlex="80">
              <button type="submit" mat-raised-button color="primary" style="width: 75px;" (click)="Save()">Submit</button>
            </div>

          </div>
        
      </mat-card-content>
      </mat-card>
    </form> 
    </div>
    